(a) 
select  t.get_trline()
from  trucks tru, table(tru.travels) t  
where tru.codigo = 11 and
  (t.trbegin.instant,'DD-MM-YYYY')=(current_date,'DD-MM-YYYY');
          
(b)
select  e.evtbegin.geometry
from  trucks tru, table(tru.travels) t, table(t.events) e
where tru.codigo = 11 and
  (t.trbegin.instant,'DD-MM-YYYY')=(current_date,'DD-MM-YYYY')
  and e.type = 'Atendimento';